package com.zjrs.zwnw.psam.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.psam.blo.PsamDcBLO;
import com.zjrs.zwnw.psam.bpo.PsamDcBPO;
import com.zjrs.zwnw.psam.dto.PsamKglDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;

/**
 *
 * @author liangxiudong
 * @since 2021-04-07
 */
@Service
public class PsamDcBPOImpl extends BPOImpl implements PsamDcBPO {
  @Resource
  private PsamDcBLO psamDcBLO;

  @Override
  public void exportTxt(PsamKglDTO dto,HttpServletResponse response) {
    psamDcBLO.exportTxt(dto,response);
  }

  @Override
  public void exportExcel(PsamKglDTO dto, HttpServletResponse res) {
    psamDcBLO.exportExcel(dto,res);
  }

  @Override
  public PageResult getList(PsamKglDTO dto, int page, int rows) {
      return this.psamDcBLO.getList(dto, page, rows);
  }
}
